synchronizationSchema: 関数
名前空間: microsoft.graph
重要
Microsoft Graph のバージョンの /beta API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。 API が v1.0 で使用できるかどうかを確認するには、 バージョン セレクターを使用します。
attributeMappingSource で現在サポートされているすべての 関数を一覧表示します。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | Directory.Read.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| Application | Application.ReadWrite.OwnedBy, Directory.ReadWrite.All |
HTTP 要求
GET /servicePrincipals/{id}/synchronization/jobs/{jobId}/schema/functions
GET /servicePrincipals/{id}/synchronization/templates/{templateId}/schema/functions
GET /applications/{id}/synchronization/templates/{templateId}/schema/functions
要求ヘッダー
| 名前 | 種類 | 説明 |
|---|---|---|
| Authorization | string | ベアラー {token}。必須。 |
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは 200 OK 応答コードと、応答本文の attributemappingFunctionSchema オブジェクトのコレクションを返します。
例
要求
要求の例を次に示します。
GET https://graph.microsoft.com/beta/servicePrincipals/{id}/synchronization/jobs/{jobId}/schema/functions
応答
応答の例を次に示します。
注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。 すべてのプロパティは、実際の呼び出しで返されます。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#functions",
"value": [
{
"name": "Append",
"parameters": [
{
"allowMultipleOccurrences": false,
"name": "source",
"required": true,
"type": "String"
},
{
"allowMultipleOccurrences": false,
"name": "suffix",
"required": true,
"type": "String"
}
]
},
{
"name": "DefaultDomain",
"parameters": []
},
{
"name": "AppRoleAssignments",
"parameters": [
{
"allowMultipleOccurrences": false,
"name": "source",
"required": true,
"type": "String"
}
]
},
{
"name": "FormatDateTime",
"parameters": [
{
"allowMultipleOccurrences": false,
"name": "source",
"required": true,
"type": "String"
},
{
"allowMultipleOccurrences": false,
"name": "inputFormat",
"required": true,
"type": "String"
},
{
"allowMultipleOccurrences": false,
"name": "outputFormat",
"required": true,
"type": "String"
}
]
}
]
}
フィードバック
フィードバックの送信と表示